Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services.stats
Class PrintingStatsRecorder

    java.lang.Object
      org.jasig.portal.services.stats.MessageStatsRecorder
          org.jasig.portal.services.stats.PrintingStatsRecorder

All Implemented Interfaces:
  IStatsRecorder

    public class PrintingStatsRecorder

extends MessageStatsRecorder

Prints portal statistics to std out.

Version:
  $Revision: 1.7 $
Author:
  Ken Weiner, kweiner@unicon.net

Constructor Summary
`PrintingStatsRecorder()`

Method Summary
`protected void` | `outputMessage(java.lang.String message)` Prints portal statistics messages to std out.

Methods inherited from class org.jasig.portal.services.stats.MessageStatsRecorder
`recordChannelAddedToLayout, recordChannelDefinitionModified, recordChannelDefinitionPublished, recordChannelDefinitionRemoved, recordChannelInstantiated, recordChannelMovedInLayout, recordChannelRemovedFromLayout, recordChannelRendered, recordChannelTargeted, recordChannelUpdatedInLayout, recordFolderAddedToLayout, recordFolderMovedInLayout, recordFolderRemovedFromLayout, recordFolderUpdatedInLayout, recordLogin, recordLogout, recordSessionCreated, recordSessionDestroyed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintingStatsRecorder

    public PrintingStatsRecorder()

Method Detail

### outputMessage

    protected void outputMessage(java.lang.String message)

  Prints portal statistics messages to std out.

  Specified by:
    `outputMessage` in class `MessageStatsRecorder`
  Parameters:
    `message,` - the message to print

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD